# netwatch: a program to determine and display packet loss/latency 
# Copyright 1998, 1999, 2000 by Alek Komarnitsky, alek@komar.org, http://www.komar.org/
# Use and distribution of this software is covered by the GNU GPL license.  
# Please see the LICENSE file and http://www.gnu.org/
#
# Customize variables below as per your site - should be fairly static between releases

# Top level directory for stuff ...
$NETWATCH_ROOT = "/home/swatch/netwatch";

# Where to store the data files for ongoing tracking
$DATA_DIR = "$NETWATCH_ROOT/data";

# Hostname of machine that pings are done from: use uname or other
# commonly used approach ... 
chop($PING_HOST = `uname -n`);

# Little hack here to get fully qualified hostname ... 
$PING_HOST = "HOST1.FQDN" if ( $PING_HOST eq "HOST1" ); 

# The path to the HTML file to generate
$HTML_FILE = "$DATA_DIR/$PING_HOST/netreport.html";

# The CGI path to gethistory
$GET_HISTORY="/cgi-bin/gethistory.pl";

# The fping command - uncomment this ONLY if it does exist ... in which case
# what you have below for PING_COMMAND and PING_OPTIONS will be ignored
# fping is cool - does broadcast ping - ftp://ftp.stanford.edu/pub/packages/fping/
$fping = "$NETWATCH_ROOT/bin/fping -q -C";

# The ping command - note that have different syntax - read carefully ... 
# This works for BSDI
#$PING_COMMAND = "/bin/ping -q -c $PACKETS";$PING_OPTIONS = "";
# This works for Solaris
#$PING_COMMAND = "/usr/sbin/ping -s "; $PING_OPTIONS = "64 $PACKETS";

# Number of packets to send.  More will probably give a better picture, but
# remember each will cost you 1 second.  The program will take approximately
# $packets seconds if you use fping - ($packets * #HOSTS) if you do not.
$PACKETS = 20;

# Update interval ... time between runs in minutes that you set up in cron
# This is used for display purposes only.
$update_interval = "15"; 

# Set threshholds on colors
$loss_blue = 5;
$loss_red = 10;

# Email address of the person responsible for this monstrosity ...
$email_address = "alek\@komar.org";

# Version number
$version = "1.0";

# need this so "true" is returned ...
1;
